Package org.apache.lucene.internal.hppc

# Class LongObjectHashMap.LongObjectCursor<VType>

java.lang.Object
org.apache.lucene.internal.hppc.LongObjectHashMap.LongObjectCursor<VType>

Enclosing class:
  `LongObjectHashMap<VType>`

public static final class LongObjectHashMap.LongObjectCursor<VType> extends Object
Forked from HPPC, holding int index,key and value

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `index`
  The current key and value's index in the container this cursor belongs to.
  `long`
  `key`
  The current key.
  `VType`
  `value`
  The current value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LongObjectCursor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### index

    public int index
    The current key and value's index in the container this cursor belongs to. The meaning of this index is defined by the container (usually it will be an index in the underlying storage buffer).

  - ### key

    public long key
    The current key.

  - ### value

    public VType value
    The current value.

- ## Constructor Details

  - ### LongObjectCursor

    public LongObjectCursor()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`